Create Group

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/group

Division or group within or across the bounds of organizations. Groups have administrators and members and can be assigned access rights to datasets or dashboards. The creating user of a group is automatically given group owner rights. Groups can be created by any user. Only group owners can update or delete a group, or associate or dissociate new group members.

Any user with an API token can create a group. The group will be automatically linked to the user on creation (which will be the group owner). Creating a group does not necessarily require parameters but you can provide the group with a name. The name will be used in the interface.

Request parametersResponse schema
id UUID

The unique identifier of the entity

name Multilingual string

Internationalized description of the group.

suborganization STRING

The name of the suborganization group.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

public BOOLEAN

Flag for signifying whether the group is public

Can be executed by:
Logged-in User
Can be associated to:
Dashboard
Dataset
User
Organization
Collection
Shareables
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "public": false,
  "name": {
    "en": "MyGroup"
  },
  "id": "f5aff911-94fc-45f3-9de2-68e3a0a82334",
  "organization_id": "97d77efd-3314-41cc-89d9-05a497fb5ec6",
  "suborganization": null,
  "created_at": "2018-08-28T10:12:23.625Z",
  "updated_at": "2018-08-28T10:12:23.625Z",
  "deleted_at": null
}